## libx11 1.1.99.5+0m5

=== debian/changelog ===
libx11 (2:1.1.99.5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika yrjola <ext-mika.2.yrjola@nokia.com>  Fri, 22 May 2009 15:09:00 +0300

libx11 (2:1.1.99.5) unstable; urgency=low

  * Added XF86AudioForward keysym.

    This keysym has been already added to 1.2 version of xlib but I'll 
    speed up the fix at request from the bluetooth guys. They don't have 
    time to wait for 1.2 integration.

    Fixes: NB#102948 - BT Headset: Fast forward not working

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Mon, 18 May 2009 16:37:25 +0300

libx11 (2:1.1.99.4) unstable; urgency=low

  * Corrected the build dependencies for non-XCB configuration.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Tue, 28 Apr 2009 09:50:38 +0300

libx11 (2:1.1.99.3) unstable; urgency=low

  * Disabled XCB temporarily, as it reduces performance with the current
    configuration.
    Fixes: NB#110675 - Should we get rid of xcb in 'libx11' package?

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 24 Apr 2009 11:18:31 +0300

libx11 (2:1.1.99.2-3downgraded) unstable; urgency=low

  * This is the version 2:1.1.5-2 of libx11. The package was downgraded 
    from 2:1.1.99.2-2 because of bug 92775. System Integration suggested 
    using a higher version number in order to avoid problems with BIFH 
    as it doesn't allow downgrading of version numbers very easily.

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Wed,  4 Mar 2009 09:11:54 +0200

libx11 (2:1.1.5-2) unstable; urgency=medium

  * Cherry-picked from upstream git: Fix an XCB leak when the client has a
    non-fatal error handler.

 -- Julien Cristau <jcristau@debian.org>  Thu, 25 Sep 2008 17:45:25 +0200

libx11 (2:1.1.5-1) unstable; urgency=low

  [ Brice Goglin ]
  * Add upstream URL to debian/copyright.
  * Add a link to www.X.org and a reference to the upstream module
    in the long description.

  [ Timo Aaltonen ]
  * New upstream release.
    + adds missing <cedilla> Compose sequences (closes: #394068)

  [ Julien Cristau ]
  * 014_add_Khmer_digraphs.diff: remove, applied upstream
  * 006_tailor_pt_BR.UTF-8_Compose.diff: update

 -- Julien Cristau <jcristau@debian.org>  Sun, 14 Sep 2008 19:09:33 +0200

libx11 (2:1.1.4-2) unstable; urgency=low

  * Drop Pre-Depends on x11-common from libx11-6, libx11-data and libx11-xcb1.
  * Pull from upstream libX11-1.1-branch
    + fixes Compose sequences for finnish keyboards (closes: #467142)
    + interrobang has been added to the en_US.UTF-8 Compose file
      (closes: #300160)
  * Update patch 006_tailor_pt_BR.UTF-8_Compose.diff, refresh others.
  * Drop the NEWS entry about sun java.  sun-java6 is now fixed, and libxcb
    doesn't abort() anymore on the locking error.
  * (Finally) upload Xlib/XCB to unstable.

 -- Julien Cristau <jcristau@debian.org>  Mon, 09 Jun 2008 16:27:23 +0200

libx11 (2:1.1.4-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * control: libx11-data Replaces old versions of libx11-6 to enable
    upgrades from Ubuntu 6.06.

  [ Julien Cristau ]
  * New upstream release
    + fixes XIM hang when switching input contexts (closes: #437437)
  * Update patch stack:
    + 003_recognize_glibc_2.3.2_locale_names.diff: fixup; drop the hunk
      under #ifdef WIN32, as I don't care enough to fix it
    + 004_en_US.UTF-8_Compose_fix_Unicode_plane_1.diff: remove, applied
      upstream
    + 005_Compose_fix_latin1_UTF8.diff: remove, applied upstream
    + 006_tailor_pt_BR.UTF-8_Compose.diff: fixup
    + 007_iso8859-15_Compose_fix.diff: refresh
    + 008_remove_ko_Compose.diff: refresh
    + 009_iso8859-15_Compose_Eurosign.diff: remove, applied upstream
    + 012_ru_RU_UTF-8_XLC_LOCALE.diff: refresh
    + 014_add_Khmer_digraphs.diff: fixup
    + 015_russian_locale_alias.diff: refresh
  * Bump Standards-Version to 3.7.3 (no changes).
  * Drop XS- prefix from Vcs-* control fields.
  * Fix malformed trailer line in libx11-6.NEWS (thanks, lintian).

 -- Julien Cristau <jcristau@debian.org>  Sat, 08 Mar 2008 03:13:07 +0100

libx11 (2:1.1.3-1) experimental; urgency=low

  [ Julien Cristau ]
  * New upstream release.
    + Fix locking in _XimGetWindowEventmask (closes: #427296).
    + fix XGetMotionEvents arguments order (closes: #431421).
    + XGetCommand(3) clarified (closes: #133348).
    + XrmCombineDatabase(3) fixed (closes: #393434).
  * Install the upstream NEWS file in libx11-6 in addition to the git
    changelog.
  * Use binary:Version instead of Source-Version in debian/control.

  [ Josh Triplett ]
  * Expand the description of the problem with Sun Java in libx11-6.NEWS.

 -- Julien Cristau <jcristau@debian.org>  Thu, 02 Aug 2007 04:13:46 +0200

libx11 (2:1.1.2-1) experimental; urgency=low

  [ Brice Goglin ]
  * Drop -DLIBXCURSOR from CFLAGS since upstream default is now correct
    (closes: #392618).
  * Add en_DK.ISO-8859-15 to 003_recognize_glibc_2.3.2_locale_names.diff
    Thanks Kaare Hviid. (closes: #419192).

  [ Julien Cristau ]
  * Add XS-Vcs-Git and XS-Vcs-Browser in debian/control.
  * New upstream release:
    + typo in XRecolorCursor.man fixed, closes: #225839;
    + XRegisterIMInstantiateCallback manpage fixed, closes: #232133;
    + XGetVisualInfo manpage fixed, closes: 399094;
    + greek Compose file updated, patch 016_greek_polytonic_Compose.diff
      dropped;
    + file descriptor leak in modules/im/ximcp/imLcPrs.c:parseline() fixed,
      patch 021_compose_fclose.diff dropped;
    + fix for CVE-2007-1667 included, patch 022_CVE-2007-1667.diff dropped.
  * Add a watch file.
  * Don't run dh_install with --list-missing in binary-indep, there are too
    many false positives for it to be useful.
  * Document workarounds for sun-java5-bin and sun-java6-bin in libx11-6.NEWS.
  * Strip all packages, not just the shared libs.

 -- Julien Cristau <jcristau@debian.org>  Wed, 06 Jun 2007 04:46:09 +0200

libx11 (2:1.1.1-1) experimental; urgency=low

  [ Michel Dänzer ]

