## libx11 1.1.99.6+0m5

=== debian/changelog ===
libx11 (2:1.1.99.6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2:1.1.99.6+0m5

 -- Lyubimkin Eugene <ext-lyubimkin.eugene@nokia.com>  Thu, 11 Mar 2010 10:08:11 +0200

libx11 (2:1.1.99.6) unstable; urgency=low

  * Replaces "grep -x PATTERN" with "grep ^PATTERN$"
  * Fixes: NB#130894 - libx11 install uses unsupported grep -x option

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Fri, 31 Jul 2009 16:53:09 +0300
