## libx11 1.1.99.6+0m5+thumb0

=== debian/changelog ===
libx11 (2:1.1.99.6+0m5+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 21 Nov 2013 14:32:55 +0200
