=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: libx11-6
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libx11-data
+Depends: ${shlibs:Depends}, ${misc:Depends}, libx11-data, kernel-feature-errata-430973-workaround[armel]
 Conflicts: xlibs-data (<< 1:7.0.0)
 Description: X11 client-side library
  This package provides a client interface to the X Window System, otherwise
@@ -86,7 +86,7 @@
 Package: libx11-xcb1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround[armel]
 Conflicts: libx11-6 (<< 2:1.1)
 Description: Xlib/XCB interface library
  libX11-xcb provides functions needed by clients which take advantage of
