=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,11 @@
 else
 	CFLAGS += -O2
 endif
+
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+        CFLAGS += -mthumb
+endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
