=== debian/control ===
Source: libx11
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Build-Depends:
 debhelper (>= 5.0.0),
 dpkg-dev (>= 1.16.0),
 pkg-config,
 xtrans-dev,
 x11proto-core-dev (>= 7.0.21),
 x11proto-kb-dev,
 x11proto-input-dev,
 x11proto-xext-dev,
 x11proto-xf86bigfont-dev (>= 1.2.0),
 libxcb1-dev (>= 1.5-3),
 quilt,
 automake,
 libtool,
 xutils-dev (>= 1:7.6+2),
# specs
 xmlto,
 xorg-sgml-doctools (>= 1:1.10),
 w3m,
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/libx11
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/libx11.git

Package: libx11-6
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libx11-data,
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X11 client-side library
 This package provides a client interface to the X Window System, otherwise
 known as 'Xlib'.  It provides a complete API for the basic functions of the
 window system.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-6-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: X11 client-side library
 This is a udeb, or a microdeb, for the debian-installer.

Package: libx11-data
Architecture: all
Depends:
 ${misc:Depends},
Breaks: libx11-6 (<< 2:1.4.1)
Multi-Arch: foreign
Description: X11 client-side library
 This package provides the locale data files for libx11.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-6-dbg
Section: debug
Architecture: any
Priority: extra
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libx11-6 (= ${binary:Version}),
Multi-Arch: same
Description: X11 client-side library (debug package)
 This package provides a client interface to the X Window System, otherwise
 known as 'Xlib'.  It provides a complete API for the basic functions of the
 window system.
 .
 This package contains the debug versions of the library found in libx11-6.
 Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libx11-6 (= ${binary:Version}),
 libxau-dev (>= 1:1.0.0-1),
 libxdmcp-dev (>= 1:1.0.0-1),
 x11proto-core-dev (>= 6.8.99.8-1),
 x11proto-input-dev,
 x11proto-kb-dev,
 xtrans-dev,
 libxcb1-dev,
Recommends: libx11-doc
Description: X11 client-side library (development headers)
 This package provides a client interface to the X Window System, otherwise
 known as 'Xlib'.  It provides a complete API for the basic functions of the
 window system.
 .
 This package contains the development headers for the library found in 
 libx11-6. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-xcb1
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Xlib/XCB interface library
 libX11-xcb provides functions needed by clients which take advantage of
 Xlib/XCB to mix calls to both Xlib and XCB over the same X connection.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 More information about XCB can be found at:
 <URL:http://xcb.freedesktop.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-xcb1-dbg
Section: debug
Architecture: any
Priority: extra
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libx11-xcb1 (= ${binary:Version}),
Multi-Arch: same
Description: Xlib/XCB interface library (debug package)
 libX11-xcb provides functions needed by clients which take advantage of
 Xlib/XCB to mix calls to both Xlib and XCB over the same X connection.
 .
 This package contains the debug versions of the library found in
 libx11-xcb1.  Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 More information about XCB can be found at:
 <URL:http://xcb.freedesktop.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-xcb-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libx11-xcb1 (= ${binary:Version}),
 libxcb1-dev (>= 0.9.92),
 libx11-dev,
Description: Xlib/XCB interface library (development headers)
 libX11-xcb provides functions needed by clients which take advantage of
 Xlib/XCB to mix calls to both Xlib and XCB over the same X connection.
 .
 This package contains the development headers for the library found in 
 libx11-xcb1. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 More information about XCB can be found at:
 <URL:http://xcb.freedesktop.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Replaces: libx11-dev (<< 2:1.4.4-3)
Breaks: libx11-dev (<< 2:1.4.4-3)
Description: X11 client-side library (development documentation)
 This package provides a client interface to the X Window System, otherwise
 known as 'Xlib'.  It provides a complete API for the basic functions of the
 window system.
 .
 This package contains supplemental documentation for the library found in
 libx11-6. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11
