=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/lib/libX11
version=3
http://xorg.freedesktop.org/releases/individual/lib/ libX11-(.*)\.tar\.gz
