## libx11 1.6.9

=== debian/changelog ===
libx11 (2:1.6.9-2~mx19+1) mx; urgency=medium

  * Repackage of upstream release for MX 19.
  * Changed debian/source/format to 3.0 (quilt)
  * Removed --with quilt --builddirectory=build/ from debian/rules

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 29 Feb 2020 22:20:47 -0500

libx11 (2:1.6.9-2) unstable; urgency=medium

  * control: Depend on x11proto-dev instead of the old protos, bump the
    version.
  * control: libx11-dev Replaces old x11proto-dev. (Closes: #952589)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Feb 2020 18:40:14 +0200

libx11 (2:1.6.9-1) unstable; urgency=medium

  * New upstream release.
  * control: Use debhelper-compat, bump to 12.
  * signing-key.asc: Add Adam Jackson's key.
  * rules: Remove .la files before install.
  * rules: Use -a instead of -s for dh_makeshlibs.
  * watch: Update upstream url.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Feb 2020 14:32:15 +0200

libx11 (2:1.6.8-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Refreshed.

  [ Helmut Grohne ]
  * Move documentation dependencies to Build-Depends-Indep. (Closes: #928878)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Sep 2019 17:09:31 +0300

libx11 (2:1.6.7-1) unstable; urgency=medium

  * New upstream release.
    - fix video freezing in firefox with amdgpu
  * upstream: Add key from Matt Turner.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 09 Oct 2018 18:03:26 +0300

libx11 (2:1.6.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-14598, CVE-2018-14599 and CVE-2018-14600.
  * Move libx11-doc from Recommends to Suggests (Closes: #648443).
  * Add debian/README.source
  * Set source format to 1.0.
  * Bump standards version to 4.2.0.

 -- Andreas Boll <aboll@debian.org>  Wed, 22 Aug 2018 21:22:31 +0200

libx11 (2:1.6.5-1) unstable; urgency=medium

  * Add Matt Turner's key to d/u/signing-key.asc
  * New upstream release.
  * Update VCS metadata for move to salsa.

 -- Julien Cristau <jcristau@debian.org>  Sun, 18 Mar 2018 16:22:50 +0100

libx11 (2:1.6.4-3) unstable; urgency=high

  [ Emilio Pozuelo Monfort ]
  * debian/libx11-6.symbols: use arch-bits=64 rather than listing all
    64-bits architectures, which is not future-proof.

  [ Julien Cristau ]
  * Fix two regressions introduced in 2:1.6.4-1:
    + Fix wrong Xfree in XListFonts failure path
    + Revert cs_CZ.UTF-8 XLC_LOCALE to en_US.UTF-8 (closes: #847345)
  * Build-depend on dpkg-dev 1.18.0 for arch-bits support in dpkg-gensymbols.

 -- Julien Cristau <jcristau@debian.org>  Sat, 28 Jan 2017 00:06:50 +0100

libx11 (2:1.6.4-2) unstable; urgency=medium

  * Fix arch:all-only build.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 06 Dec 2016 09:47:08 +0100

libx11 (2:1.6.4-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - Fixes CVE-2016-7942 and CVE-2016-7943 (Closes: #840439).
  * Bump libxcb1-dev build-dep to 1.11.1 per configure.ac.
  * Update a bunch of URLs in packaging to https.

  [ Julien Cristau ]
  * Update d/upstream/signing-key.asc with Matthieu Herrb's key.

  [ Emilio Pozuelo Monfort ]
  * Cherry-pick upstream commit 20a3f99 to plug a memory leak in the
    security fix.
  * Bump debhelper compat to 10.
  * Switch from old debhelper to dh.
  * Drop workaround for old tarballs not shipping some files.
  * Switch to -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop libtool and automake build dependencies, debhelper takes
    care of that for us now.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 06 Dec 2016 01:38:30 +0100

libx11 (2:1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop 006_tailor_pt_BR.UTF-8_Compose.diff, no longer necessary.
  * Rediff 003_recognize_glibc_2.3.2_locale_names.diff.
  * Let uscan verify tarball signatures.

 -- Julien Cristau <jcristau@debian.org>  Thu, 30 Apr 2015 22:31:01 +0200

libx11 (2:1.6.2-3) unstable; urgency=medium

  [ Julien Cristau ]
  * libx11-6.symbols: yet another 64bit arch (ppc64el).  Closes: #749728.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 18 Aug 2014 01:39:32 +0200

libx11 (2:1.6.2-2) unstable; urgency=low

  [ Julien Cristau ]
  * Yet more 64 bit archs in symbols file: mips64{,el} (closes: #722088).
  * Remove Cyril Brulebois from Uploaders.
  * Bump debhelper compat level from 5 to 7.
  * Switch from xsfbs.mk to standard quilt patching.

  [ Colin Watson ]
  * Declare libx11-xcb-dev Multi-Arch: same (closes: #727231).

 -- Julien Cristau <jcristau@debian.org>  Sun, 11 May 2014 18:04:23 +0200

libx11 (2:1.6.2-1) unstable; urgency=low

  [ Julien Cristau ]
  * So apparently the 64-bit powerpc port is called ppc64 (closes: #613820).

  [ Maarten Lankhorst ]
  * New upstream release.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 03 Oct 2013 09:46:46 +0200

libx11 (2:1.6.1-1) unstable; urgency=low

  [ Julien Cristau ]
  * New upstream release
  * libx11-6.symbols: add powerpc64 to the list of 64bit archs (closes: #613820)

  [ Wookey ]
  * Update symbols file for arm64

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Aug 2013 17:55:45 +0200

libx11 (2:1.6.0-1) unstable; urgency=low

  * Bump libx11-dev's x11proto-core-dev dependency to 7.0.17 for _X_NORETURN
    (closes: #649866).
  * New upstream release
    - Fix unbounded recursion when reading resource files (closes: #145048)
    - XmbLookupString man page no longer warns (closes: #300819)
    - Fix build with automake 1.13 (closes: #710467)
  * Update 003_recognize_glibc_2.3.2_locale_names.diff.
  * Update 006_tailor_pt_BR.UTF-8_Compose.diff.
  * Refresh 008_remove_ko_Compose.diff.
  * Update 009_remove_th_Compose.diff.
  * Refresh 015_russian_locale_alias.diff.
  * Bump shlibs and symbols for _XEatDataWords.
  * Add new locales to configure.ac so they can get installed.
  * Disable silent rules.
  * Use dpkg-buildflags.

 -- Julien Cristau <jcristau@debian.org>  Sat, 15 Jun 2013 18:31:27 +0200
