=== debian/control ===
Source: libx11
Section: x11
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.18.0),
 pkg-config,
 xtrans-dev,
 x11proto-dev,
 libxcb1-dev (>= 1.11.1),
 quilt,
 xutils-dev (>= 1:7.6+2),
Build-Depends-Indep:
# specs
 xmlto,
 xorg-sgml-doctools (>= 1:1.10),
 w3m,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/xorg-team/lib/libx11
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libx11

Package: libx11-6
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libx11-data,
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X11 client-side library
 This package provides a client interface to the X Window System, otherwise
 known as 'Xlib'.  It provides a complete API for the basic functions of the
 window system.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-6-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: X11 client-side library
 This is a udeb, or a microdeb, for the debian-installer.

Package: libx11-data
Architecture: all
Depends:
 ${misc:Depends},
Breaks: libx11-6 (<< 2:1.4.1)
Multi-Arch: foreign
Description: X11 client-side library
 This package provides the locale data files for libx11.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libx11-6 (= ${binary:Version}),
 libxau-dev (>= 1:1.0.0-1),
 libxdmcp-dev (>= 1:1.0.0-1),
 x11proto-dev (>= 2019.2-1~),
 xtrans-dev,
 libxcb1-dev,
Suggests: libx11-doc
Replaces: x11proto-dev (<< 2019.2)
Description: X11 client-side library (development headers)
 This package provides a client interface to the X Window System, otherwise
 known as 'Xlib'.  It provides a complete API for the basic functions of the
 window system.
 .
 This package contains the development headers for the library found in 
 libx11-6. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-xcb1
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Xlib/XCB interface library
 libX11-xcb provides functions needed by clients which take advantage of
 Xlib/XCB to mix calls to both Xlib and XCB over the same X connection.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 More information about XCB can be found at:
 <URL:https://xcb.freedesktop.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-xcb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libx11-xcb1 (= ${binary:Version}),
 libxcb1-dev (>= 1.11.1),
 libx11-dev,
Description: Xlib/XCB interface library (development headers)
 libX11-xcb provides functions needed by clients which take advantage of
 Xlib/XCB to mix calls to both Xlib and XCB over the same X connection.
 .
 This package contains the development headers for the library found in 
 libx11-xcb1. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 More information about XCB can be found at:
 <URL:https://xcb.freedesktop.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11

Package: libx11-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Replaces: libx11-dev (<< 2:1.4.4-3)
Breaks: libx11-dev (<< 2:1.4.4-3)
Description: X11 client-side library (development documentation)
 This package provides a client interface to the X Window System, otherwise
 known as 'Xlib'.  It provides a complete API for the basic functions of the
 window system.
 .
 This package contains supplemental documentation for the library found in
 libx11-6. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libX11
