## libx11 1.6.12

=== debian/changelog ===
libx11 (2:1.6.12-1) unstable; urgency=low

  * ['Autobuild release-candidate: 75141d52ffd3e70f75b9a695825576a9add780f5']

 -- shuttle <shuttle@deepin.com>  Tue, 15 Sep 2020 15:00:07 +0000
