=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: libx11
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 10),
  dpkg-dev (>= 1.18.0),
  pkg-config,
  xtrans-dev,
- x11proto-dev,
+ x11proto-core-dev (>= 7.0.21),
+ x11proto-kb-dev,
+ x11proto-input-dev,
+ x11proto-xext-dev,
+ x11proto-xf86bigfont-dev (>= 1.2.0),
  libxcb1-dev (>= 1.11.1),
  quilt,
  xutils-dev (>= 1:7.6+2),
-Build-Depends-Indep:
 # specs
  xmlto,
  xorg-sgml-doctools (>= 1:1.10),
  w3m,
-Standards-Version: 4.5.0
+Standards-Version: 4.2.0
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libx11
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libx11
 
@@ -76,11 +78,12 @@
  libx11-6 (= ${binary:Version}),
  libxau-dev (>= 1:1.0.0-1),
  libxdmcp-dev (>= 1:1.0.0-1),
- x11proto-dev (>= 2019.2-1~),
+ x11proto-core-dev (>= 7.0.17),
+ x11proto-input-dev,
+ x11proto-kb-dev,
  xtrans-dev,
  libxcb1-dev,
 Suggests: libx11-doc
-Replaces: x11proto-dev (<< 2019.2)
 Description: X11 client-side library (development headers)
  This package provides a client interface to the X Window System, otherwise
  known as 'Xlib'.  It provides a complete API for the basic functions of the
